Bug 509434 - cluster_test testDequeueWaitingSubscription fails intermittently
cluster_test testDequeueWaitingSubscription fails intermittently
Status: CLOSED UPSTREAM
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
Development
All Linux
high Severity medium
: 1.3
: ---
Assigned To: Alan Conway
MRG Quality Engineering
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-02 14:32 EDT by Kim van der Riet
Modified: 2011-06-28 15:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 15:35:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kim van der Riet 2009-07-02 14:32:45 EDT
After running cluster_test in a loop for about 400 iterations, testDequeueWaitingSubscription failed with the following message:

fatal error in "testDequeueWaitingSubscription": std::exception: EOF reading port number from child.

Run on F10 with all current updates; qpid r.790163, store r.3465

A core file was left behind:

(gdb) thread apply all bt

Thread 4 (process 27900):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:217
#1  0x00007fff9972195f in qpid::sys::Condition::wait (this=0xffffffffffffff92, mutex=@0xf3b388, absoluteTime=<value optimized out>) at ./qpid/sys/posix/Condition.h:69
#2  0x00007fff9971ff9d in qpid::sys::Monitor::wait () at ./qpid/sys/Monitor.h:45
#3  qpid::broker::Timer::run (this=0xf3b380) at qpid/broker/Timer.cpp:83
#4  0x00007fff992a8f3a in runRunnable (p=0xf3b3b4) at qpid/sys/posix/Thread.cpp:35
#5  0x000000309f2073da in start_thread (arg=<value optimized out>) at pthread_create.c:297
#6  0x000000309e6e62bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
Current language:  auto; currently c

Thread 3 (process 27901):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007fff9972000d in qpid::sys::Condition::wait (mutex=<value optimized out>, this=<value optimized out>) at ./qpid/sys/posix/Condition.h:63
#2  qpid::sys::Monitor::wait () at ./qpid/sys/Monitor.h:41
#3  qpid::broker::Timer::run (this=0xf3b448) at qpid/broker/Timer.cpp:65
#4  0x00007fff992a8f3a in runRunnable (p=0xf3b47c) at qpid/sys/posix/Thread.cpp:35
#5  0x000000309f2073da in start_thread (arg=<value optimized out>) at pthread_create.c:297
#6  0x000000309e6e62bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
Current language:  auto; currently asm

Thread 2 (process 27902):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:217
#1  0x00007fff9972195f in qpid::sys::Condition::wait (this=0xffffffffffffff92, mutex=@0x7fff965fe148, absoluteTime=<value optimized out>) at ./qpid/sys/posix/Condition.h:69
#2  0x00007fff9971ff9d in qpid::sys::Monitor::wait () at ./qpid/sys/Monitor.h:45
#3  qpid::broker::Timer::run (this=0x7fff965fe140) at qpid/broker/Timer.cpp:83
#4  0x00007fff992a8f3a in runRunnable (p=0x7fff965fe174) at qpid/sys/posix/Thread.cpp:35
#5  0x000000309f2073da in start_thread (arg=<value optimized out>) at pthread_create.c:297
#6  0x000000309e6e62bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112

Thread 1 (process 27884):
#0  cpg_dispatch (handle=6101656382962925568, dispatch_types=CPG_DISPATCH_ONE) at cpg.c:266
#1  0x00007fff98a1122a in qpid::cluster::Cpg::dispatchOne (this=0xf3cc50) at qpid/cluster/Cpg.cpp:139
#2  0x00007fff989ea06a in Cluster (this=0xf3cbe0, set=<value optimized out>, b=<value optimized out>) at qpid/cluster/Cluster.cpp:214
#3  0x00007fff98a0476b in qpid::cluster::ClusterPlugin::earlyInitialize (this=0x7fff98c8f6a0, target=<value optimized out>) at qpid/cluster/ClusterPlugin.cpp:135
#4  0x00007fff99678c4c in Broker (this=0xf3afb0, conf=@0xf367c0) at qpid/broker/Broker.cpp:209
#5  0x0000000000409328 in QpiddBroker::execute (this=<value optimized out>, options=0xf36650) at posix/QpiddBroker.cpp:162
#6  0x0000000000406384 in main (argc=16, argv=0x7fff98ca2fb8) at qpidd.cpp:77
Current language:  auto; currently c
Comment 2 Alan Conway 2010-03-24 11:28:29 EDT
Appears to be fixed in qpid r926300 store r3880.
Over 1200 runs with no errors.

Note You need to log in before you can comment on or make changes to this bug.